Bug 1302368 - rabbitmq-server service timeout on stop
rabbitmq-server service timeout on stop
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rabbitmq-server (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 10:57 EST by Chris Abrams
Modified: 2016-02-14 22:20 EST (History)
8 users (show)

See Also:
Fixed In Version: rabbitmq-server-3.5.7-4.fc23 rabbitmq-server-3.5.7-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-14 21:54:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Abrams 2016-01-27 10:57:30 EST
Description of problem:
The rabbitmq-server service times out when calling stop.

Version-Release number of selected component (if applicable):
rabbitmq-server-3.5.7-1.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. sudo systemctl start rabbitmq-server
2. sudo systemctl stop rabbitmq-server

Actual results:
Stop times out after 90 seconds. From the systemd journal:

Jan 27 15:47:14 localhost.localdomain systemd[1]: Stopping RabbitMQ broker...
-- Subject: Unit rabbitmq-server.service has begun shutting down
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit rabbitmq-server.service has begun shutting down.
Jan 27 15:47:14 localhost.localdomain systemd[1]: Cannot find unit for notify message of PID 10985.
Jan 27 15:47:14 localhost.localdomain systemd[1]: Cannot find unit for notify message of PID 10986.
Jan 27 15:47:14 localhost.localdomain systemd[1]: Cannot find unit for notify message of PID 10987.
Jan 27 15:47:14 localhost.localdomain rabbitmqctl[10874]: Stopping and halting node rabbit@localhost ...
Jan 27 15:48:44 localhost.localdomain systemd[1]: rabbitmq-server.service: State 'stop-final-sigterm' timed out. Killing.
Jan 27 15:48:44 localhost.localdomain systemd[1]: Stopped RabbitMQ broker.
-- Subject: Unit rabbitmq-server.service has finished shutting down
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit rabbitmq-server.service has finished shutting down.
Jan 27 15:48:44 localhost.localdomain systemd[1]: rabbitmq-server.service: Unit entered failed state.
Jan 27 15:48:44 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=rabbitmq-server comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Jan 27 15:48:44 localhost.localdomain systemd[1]: rabbitmq-server.service: Failed with result 'timeout'.

Expected results:
The service stops without timing out.

Additional info:
If I call 'sudo rabbitmqctl stop', RabbitMQ stops promptly. A subsequent call to 'sudo systemctl stop rabbitmq-server' then returns quickly.
Comment 1 Peter Lemenkov 2016-01-27 11:32:12 EST
Confirmed.
Comment 2 Peter Lemenkov 2016-01-27 11:35:59 EST
Chris, please downgrade your rabbitmq-server for now - I'll provide fixed package soon (couple of days).
Comment 3 Chris Abrams 2016-01-30 08:31:29 EST
(In reply to Peter Lemenkov from comment #2)
> Chris, please downgrade your rabbitmq-server for now - I'll provide fixed
> package soon (couple of days).

Thanks Peter. Which version should I downgrade to?
Comment 4 Fedora Update System 2016-02-03 10:47:49 EST
rabbitmq-server-3.5.7-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-75b9dcc7e1
Comment 5 Fedora Update System 2016-02-03 10:47:50 EST
rabbitmq-server-3.5.7-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b98158285
Comment 6 Fedora Update System 2016-02-03 17:59:15 EST
rabbitmq-server-3.5.7-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-75b9dcc7e1
Comment 7 Fedora Update System 2016-02-03 18:25:05 EST
rabbitmq-server-3.5.7-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b98158285
Comment 8 Peter Lemenkov 2016-02-04 08:04:18 EST
Chris, please try these recent packages. Does it work for you?
Comment 9 Chris Abrams 2016-02-04 10:59:38 EST
(In reply to Peter Lemenkov from comment #8)
> Chris, please try these recent packages. Does it work for you?

Hi Peter,

Yes its working perfectly now.

Thanks for the fix.

Chris.
Comment 10 Fedora Update System 2016-02-14 21:53:59 EST
rabbitmq-server-3.5.7-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-02-14 22:20:04 EST
rabbitmq-server-3.5.7-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.